Bug 69093 - SIGURG not ignored.
SIGURG not ignored.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On: 66521
Blocks: 69077
  Show dependency treegraph
 
Reported: 2002-07-17 15:34 EDT by Matt Wilson
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-09 15:26:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Wilson 2002-07-17 15:34:39 EDT
signal SIGURG caused wrong action
	expected action: process ignored signal 23 after being unblocked
	observed action: signal 23 terminated process
Comment 1 Matt Wilson 2002-07-17 15:38:33 EDT
#

--- linux-2.4.18/arch/i386/kernel/signal.c~	Thu Mar 21 16:04:30 2002
+++ linux-2.4.18/arch/i386/kernel/signal.c	Thu Apr 18 12:19:37 2002
@@ -658,7 +658,7 @@
 
			continue;
 
 
		switch (signr) {
-
		case SIGCONT: case SIGCHLD: case SIGWINCH:
+
		case SIGCONT: case SIGCHLD: case SIGWINCH: case SIGURG:
 
			continue;
 
 
		case SIGTSTP: case SIGTTIN: case SIGTTOU:

Comment 2 Larry Woodman 2002-08-05 15:16:01 EDT
This fix will be included in the next scheduled AS2.1 errata kernel.
(date: unknown)

Larry Woodman
Comment 3 Matt Wilson 2003-10-09 15:26:19 EDT
done

Note You need to log in before you can comment on or make changes to this bug.